﻿@model identityserverwithui.Quickstart.Consent.ScopeViewModel

<li class="list-group-item">
    <label>
        <input class="consent-scopecheck"
               type="checkbox"
               name="ScopesConsented"
               id="scopes_@Model.Value"
               value="@Model.Value"
               checked="@Model.Checked"
               disabled="@Model.Required" />
        @if (Model.Required)
        {
            <input type="hidden"
                   name="ScopesConsented"
                   value="@Model.Value" />
        }
        <strong>@Model.DisplayName</strong>
        @if (Model.Emphasize)
        {
            <span class="glyphicon glyphicon-exclamation-sign"></span>
        }
    </label>
    @if (Model.Required)
    {
        <span><em>(required)</em></span>
    }
    @if (Model.Description != null)
    {
        <div class="consent-description">
            <label for="scopes_@Model.Value">@Model.Description</label>
        </div>
    }
</li>